Skip to main content

Delete AST Devices

Using this API, unlink the AST ClientId of the user.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL​

DELETE https://{hostname}/auth/realms/{tenantId}/v3_user/{userId}/unlink-all-clients
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{

"message": "All the ast client IDs are unlinked successfully",
"status": "OK",
"subSystem": 5

}

Response Status Information​

Status CodeStatusMessage
200OKAll the ast client IDs are unlinked successfully
401UnauthorizedHTTP 401 Unauthorized
404NOT_FOUNDCould not able to unlink all client ids of userID
404USER_NOT_FOUNDUser does not exist